Organization
Users and User Groups
Permissions
Data Source
Workspaces
Logical Data Model
Analytical Objects
Reporting
Export & Automations
AI Lake
AI Assistant
    Conversations
    Dashboard Summary
    Knowledge
    Knowledge Recommendations
    Memory Items
      Get all organization Memory Item entitiesgetPost organization Memory Item entitiespostGet an organization Memory Item entitygetPut an organization Memory Item entityputDelete an organization Memory Item entitydeletePatch an organization Memory Item entitypatchGet all Memory ItemsgetPost Memory ItemspostThe search endpoint (beta)postGet a Memory ItemgetPut a Memory ItemputDelete a Memory ItemdeletePatch a Memory Itempatch
    LLM Providers
    Observability
Agents
Other
Schemas
powered by Zudoku
OpenAPI definition

Memory Items

Endpoint:/

Get all organization Memory Item entities

GET
/api/v1/entities/orgMemoryItems

Get all organization Memory Item entities › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL
  • pageinteger

    Zero-based page index (0..N)

    Default: 0
  • sizeinteger

    The size of the page to be returned

    Default: 20
  • sortstring[]

    Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    page
    all
    ALL

Get all organization Memory Item entities › Responses

Request successfully processed

  • dataobject[] · unique · required
  • includedobject[] · unique

    Included resources

  • linksobject
  • metaobject
GET /api/v1/entities/orgMemoryItems

Post organization Memory Item entities

POST
/api/v1/entities/orgMemoryItems

Organization-scoped AI memory item

Post organization Memory Item entities › query Parameters

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL

Post organization Memory Item entities › Request Body

  • dataobject · required

    Organization-scoped AI memory item.

Post organization Memory Item entities › Responses

Request successfully processed

  • dataobject · required

    Organization-scoped AI memory item.

  • includedobject[] · unique

    Included resources

  • linksobject
POST /api/v1/entities/orgMemoryItems

Get an organization Memory Item entity

GET
/api/v1/entities/orgMemoryItems/{id}

Get an organization Memory Item entity › path Parameters

  • idstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

Get an organization Memory Item entity › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL

Get an organization Memory Item entity › Responses

Request successfully processed

  • dataobject · required

    Organization-scoped AI memory item.

  • includedobject[] · unique

    Included resources

  • linksobject
GET /api/v1/entities/orgMemoryItems/{id}

Put an organization Memory Item entity

PUT
/api/v1/entities/orgMemoryItems/{id}

Put an organization Memory Item entity › path Parameters

  • idstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

Put an organization Memory Item entity › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL

Put an organization Memory Item entity › Request Body

  • dataobject · required

    Organization-scoped AI memory item.

Put an organization Memory Item entity › Responses

Request successfully processed

  • dataobject · required

    Organization-scoped AI memory item.

  • includedobject[] · unique

    Included resources

  • linksobject
PUT /api/v1/entities/orgMemoryItems/{id}

Delete an organization Memory Item entity

DELETE
/api/v1/entities/orgMemoryItems/{id}

Delete an organization Memory Item entity › path Parameters

  • idstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

Delete an organization Memory Item entity › Responses

Successfully deleted

No data returned
DELETE /api/v1/entities/orgMemoryItems/{id}

Patch an organization Memory Item entity

PATCH
/api/v1/entities/orgMemoryItems/{id}

Patch an organization Memory Item entity › path Parameters

  • idstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

Patch an organization Memory Item entity › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL

Patch an organization Memory Item entity › Request Body

  • dataobject · required

    Organization-scoped AI memory item.

Patch an organization Memory Item entity › Responses

Request successfully processed

  • dataobject · required

    Organization-scoped AI memory item.

  • includedobject[] · unique

    Included resources

  • linksobject
PATCH /api/v1/entities/orgMemoryItems/{id}

Get all Memory Items

GET
/api/v1/entities/workspaces/{workspaceId}/memoryItems

Get all Memory Items › path Parameters

  • workspaceIdstring · required

Get all Memory Items › query Parameters

  • originstring · enum

    Defines scope of origin of objects. All by default.

    Enum values:
    ALL
    PARENTS
    NATIVE
    Default: ALL
  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL
  • pageinteger

    Zero-based page index (0..N)

    Default: 0
  • sizeinteger

    The size of the page to be returned

    Default: 20
  • sortstring[]

    Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    page
    all
    ALL

Get all Memory Items › Headers

  • X-GDC-VALIDATE-RELATIONSboolean
    Default: false

Get all Memory Items › Responses

Request successfully processed

  • dataobject[] · unique · required
  • includedobject[] · unique

    Included resources

  • linksobject
  • metaobject
GET /api/v1/entities/workspaces/{workspaceId}/memoryItems

Post Memory Items

POST
/api/v1/entities/workspaces/{workspaceId}/memoryItems

Post Memory Items › path Parameters

  • workspaceIdstring · required

Post Memory Items › query Parameters

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL
  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    all
    ALL

Post Memory Items › Request Body

  • dataobject · required

    JSON:API representation of memoryItem entity.

Post Memory Items › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of memoryItem entity.

  • includedobject[] · unique

    Included resources

  • linksobject
POST /api/v1/entities/workspaces/{workspaceId}/memoryItems

The search endpoint (beta)

POST
/api/v1/entities/workspaces/{workspaceId}/memoryItems/search

The search endpoint (beta) › path Parameters

  • workspaceIdstring · required

The search endpoint (beta) › query Parameters

  • originstring · enum

    Defines scope of origin of objects. All by default.

    Enum values:
    ALL
    PARENTS
    NATIVE
    Default: ALL

The search endpoint (beta) › Headers

  • X-GDC-VALIDATE-RELATIONSboolean
    Default: false

The search endpoint (beta) › Request Body

  • filterstring | null

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includearray | null

    List of related entities to include in the response

  • metaIncludearray | null · unique

    Set of metadata fields to include in the response

  • pageobject

    Pagination information for entity search

  • sortarray | null

    Sorting criteria (can specify multiple sort orders)

The search endpoint (beta) › Responses

Request successfully processed

  • dataobject[] · unique · required
  • includedobject[] · unique

    Included resources

  • linksobject
  • metaobject
POST /api/v1/entities/workspaces/{workspaceId}/memoryItems/search

Get a Memory Item

GET
/api/v1/entities/workspaces/{workspaceId}/memoryItems/{objectId}

Get a Memory Item › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Get a Memory Item › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL
  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    all
    ALL

Get a Memory Item › Headers

  • X-GDC-VALIDATE-RELATIONSboolean
    Default: false

Get a Memory Item › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of memoryItem entity.

  • includedobject[] · unique

    Included resources

  • linksobject
GET /api/v1/entities/workspaces/{workspaceId}/memoryItems/{objectId}

Put a Memory Item

PUT
/api/v1/entities/workspaces/{workspaceId}/memoryItems/{objectId}

Put a Memory Item › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Put a Memory Item › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL

Put a Memory Item › Request Body

  • dataobject · required

    JSON:API representation of memoryItem entity.

Put a Memory Item › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of memoryItem entity.

  • includedobject[] · unique

    Included resources

  • linksobject
PUT /api/v1/entities/workspaces/{workspaceId}/memoryItems/{objectId}

Delete a Memory Item

DELETE
/api/v1/entities/workspaces/{workspaceId}/memoryItems/{objectId}

Delete a Memory Item › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Delete a Memory Item › Responses

Successfully deleted

No data returned
DELETE /api/v1/entities/workspaces/{workspaceId}/memoryItems/{objectId}

Patch a Memory Item

PATCH
/api/v1/entities/workspaces/{workspaceId}/memoryItems/{objectId}

Patch a Memory Item › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Patch a Memory Item › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL

Patch a Memory Item › Request Body

  • dataobject · required

    JSON:API representation of patching memoryItem entity.

Patch a Memory Item › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of memoryItem entity.

  • includedobject[] · unique

    Included resources

  • linksobject
PATCH /api/v1/entities/workspaces/{workspaceId}/memoryItems/{objectId}

Knowledge RecommendationsLLM Providers